Bug 893399 - Review Request: pcsc-lite-asekey - ASEKey USB token driver
Summary: Review Request: pcsc-lite-asekey - ASEKey USB token driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-09 10:23 UTC by Petr Pisar
Modified: 2015-03-31 21:57 UTC (History)
3 users (show)

Fixed In Version: pcsc-lite-asekey-3.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 21:46:10 UTC
Type: ---
nmavrogi: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2013-01-09 10:23:04 UTC
Spec URL: http://ppisar.fedorapeople.org/asekey/asekey.spec
SRPM URL: http://ppisar.fedorapeople.org/asekey/asekey-3.7-1.fc17.src.rpm
Description:
This is driver for ASEKey USB cryptographic token in form of PCSC plug-in.

Fedora Account System Username: ppisar

---
This package will go into F≥17.

Comment 1 Petr Pisar 2013-01-09 10:42:59 UTC
I have reuploaded new spec file that fixes configuration bug in rawhide.

Comment 2 Nikos Mavrogiannopoulos 2015-03-18 15:08:13 UTC
Why you need Fedora >= 17? Anything under 19 is unsupported. Is it some epel version you target?

I don't have the hardware to check. I simply check whether this module is loaded by pcsc-lite.

Shouldn't the name of this spec be pcsc-lite-asekey similar to pcsc-lite-ccid? It's a driver of pcsc-lite after all.

You should mention in spec the license break-down... In that case, the LGPL-licensed file is only 92_pcscd_asekey.rules.

Comment 3 Petr Pisar 2015-03-19 12:07:49 UTC
(In reply to Nikos Mavrogiannopoulos from comment #2)
> Why you need Fedora >= 17? Anything under 19 is unsupported. Is it some epel
> version you target?
>
There is nothing about Fedora 17 in the spec file. The pcsc-lite version is specified because this package is not compatible with earlier pcsc-lite versions. If you ask why it's there, then it's because (1) I submitted the package review many years ago when Fedora 17 was relevant and because (2) it states what's true. If somebody decides to build the package in different distribution (e.g. EPEL), the he will be warned ahead.

> I don't have the hardware to check. I simply check whether this module is
> loaded by pcsc-lite.
>
I have the hardware. I don't you use on Fedora, but it worked. I checked it now in Fedora 21. It still works.

> Shouldn't the name of this spec be pcsc-lite-asekey similar to
> pcsc-lite-ccid? It's a driver of pcsc-lite after all.
>
Guidelines recommends to stick to upstream name. Also it's driver for any PCSC service talking IFD interface.

> You should mention in spec the license break-down... In that case, the
> LGPL-licensed file is only 92_pcscd_asekey.rules.

Yes. I will. I will update the package, as guidelines changed since the time I submitted this review.

Comment 4 Petr Pisar 2015-03-19 12:25:26 UTC
I updated the package to current guidelines.

Spec URL: http://ppisar.fedorapeople.org/asekey/asekey.spec
SRPM URL: https://ppisar.fedorapeople.org/asekey/asekey-3.7-1.fc23.src.rpm

Comment 5 Nikos Mavrogiannopoulos 2015-03-19 12:43:06 UTC
(In reply to Petr Pisar from comment #3)

> > Shouldn't the name of this spec be pcsc-lite-asekey similar to
> > pcsc-lite-ccid? It's a driver of pcsc-lite after all.
> Guidelines recommends to stick to upstream name. Also it's driver for any
> PCSC service talking IFD interface.

I'm not sure about that. From the spec file this is clearly a pcsc-lite addon and the guidelines mention: 
"If a new package is considered an "addon" package that enhances or adds a new functionality to an existing Fedora package without being useful on its own, its name should reflect this fact."

We do the same with 'pcsc-lite-ccid', even though ccid is the upstream name. Using pcsc-ifd-asekey would also be acceptable, but I don't believe that "asekey" for a pcsc driver is right.

Comment 7 Nikos Mavrogiannopoulos 2015-03-19 14:37:09 UTC
Review completed, package is ready for inclusion.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 14 files have unknown license. Detailed output of
     licensecheck in /home/nmavrogi/review/893399-asekey/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /rules.d
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /rules.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Dist tag is present (not strictly required in GL).
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: pcsc-lite-asekey-3.7-1.fc21.x86_64.rpm
          pcsc-lite-asekey-3.7-1.fc21.src.rpm
pcsc-lite-asekey.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
pcsc-lite-asekey.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
pcsc-lite-asekey.src:22: W: unversioned-explicit-provides pcsc-ifd-handler
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


Requires
--------
pcsc-lite-asekey (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libpcsclite.so.1()(64bit)
    libpthread.so.0()(64bit)
    libusb-0.1.so.4()(64bit)
    pcsc-lite
    rtld(GNU_HASH)
    systemd


Provides
--------
pcsc-lite-asekey:
    pcsc-ifd-handler
    pcsc-lite-asekey
    pcsc-lite-asekey(x86-64)


Unversioned so-files
--------------------
pcsc-lite-asekey: /usr/lib64/pcsc/drivers/ifd-ASEKey.bundle/Contents/Linux/libASEKey.so

Source checksums
----------------
http://www.athena-scs.com/docs/reader-drivers/asekey-3-7-tar.bz2 :
  CHECKSUM(SHA256) this package     : 5561c54d0629489fcf689ebacc4f8bc3b6305b02ef5675a5d9669dc6669fd6e7
  CHECKSUM(SHA256) upstream package : 5561c54d0629489fcf689ebacc4f8bc3b6305b02ef5675a5d9669dc6669fd6e7

Comment 8 Petr Pisar 2015-03-19 14:44:50 UTC
New Package SCM Request
=======================
Package Name: pcsc-lite-asekey
Short Description: ASEKey USB token driver
Upstream URL: http://www.athena-scs.com/
Owners: ppisar
Branches: f20 f21 f22
InitialCC:

Comment 9 Gwyn Ciesla 2015-03-19 17:25:03 UTC
Git done (by process-git-requests).

Comment 10 Petr Pisar 2015-03-20 07:48:27 UTC
Thank you for the review and the repository.

Comment 11 Fedora Update System 2015-03-20 07:50:33 UTC
pcsc-lite-asekey-3.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcsc-lite-asekey-3.7-1.fc22

Comment 12 Fedora Update System 2015-03-20 07:50:57 UTC
pcsc-lite-asekey-3.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcsc-lite-asekey-3.7-1.fc21

Comment 13 Fedora Update System 2015-03-20 07:52:07 UTC
pcsc-lite-asekey-3.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcsc-lite-asekey-3.7-1.fc20

Comment 14 Fedora Update System 2015-03-21 04:51:33 UTC
pcsc-lite-asekey-3.7-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 15 Fedora Update System 2015-03-26 21:46:10 UTC
pcsc-lite-asekey-3.7-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 16 Fedora Update System 2015-03-31 21:40:20 UTC
pcsc-lite-asekey-3.7-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 17 Fedora Update System 2015-03-31 21:57:27 UTC
pcsc-lite-asekey-3.7-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.